Rockchip documentation suggest PCIE Gen.2 is not safe

I just read about the PCIE linux developer guide for Rockchip’s github repo

  1. max-link-speed = <1>;
    此配置设置PCIe的速度登记,1表示gen1,2表示gen2。RK3399限制不超过gen2。另,此配置默认是写在dtsi, 也就是说默认限制为gen1;原因是gen2的TX测试指标无法达到标准,所以不推荐客户开启gen2模式,以免引起不 必要的链路异常。

Does it mean that it’s not very stable to use PCIE gen2 for high speed usage like NVME SSD?

1 Like